/form

Get all forms in your account

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get all forms in your account

GET /api/v2/form.json HTTP/1.1
Host: www.formstack.com
Authorization: Bearer [[app:oauth_token]]
Accept: application/json
Content-Type: application/json
curl -i -H "Accept: application/json" -H "Content-Type: application/json" -H "Authorization: Bearer [[app:oauth_token]]" https://www.formstack.com/api/v2/form.json

Paginate through the forms in your account

GET /api/v2/form.json?page=2&per_page=50 HTTP/1.1
Host: www.formstack.com
Authorization: Bearer [[app:oauth_token]]
Accept: application/json
Content-Type: application/json
curl -i -H "Accept: application/json" -H "Content-Type: application/json" -H "Authorization: Bearer [[app:oauth_token]]" https://www.formstack.com/api/v2/form.json?page=2&per_page=50
Query Params
boolean
Defaults to false

Flag to return forms in lists separated by folder

int32

Page to use when paginating through forms. Starts at 1.

int32

Number of forms to return per page. Minimum page limit is 10.

string

Search by form name

string

Sort results by two options [id, name]-[asc, desc] (ie: name-desc)

int32

Filter results to only be included in specified folder

Response

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json